Package org.apache.wiki.rss

# Class AtomFeed

java.lang.Object
org.apache.wiki.rss.Feed
org.apache.wiki.rss.AtomFeed

public class AtomFeed extends Feed
Provides an Atom 1.0 standard feed, with enclosures.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`RFC3339FORMAT`
Defines a SimpleDateFormat string for RFC3339-formatted dates.

### Fields inherited from class org.apache.wiki.rss.Feed

`m_channelDescription, m_channelLanguage, m_channelTitle, m_entries, m_feedURL, m_mode, m_wikiContext, VAR_BLOGNAME`

## Constructor Summary

Constructors
Constructor
Description
`AtomFeed(Context c)`
Create a new AtomFeed for a given WikiContext.

## Method Summary

Modifier and Type
Method
Description
`String`
`getString()`
Returns the XML for the feed contents in a String format.

### Methods inherited from class org.apache.wiki.rss.Feed

`addEntry, format, getChannelDescription, getChannelLanguage, getChannelTitle, getFeedURL, getMimeType, getSiteName, setChannelDescription, setChannelLanguage, setChannelTitle, setFeedURL, setMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### RFC3339FORMAT

public static final String RFC3339FORMAT
Defines a SimpleDateFormat string for RFC3339-formatted dates.

See Also:
  - Constant Field Values

## Constructor Details

### AtomFeed

public AtomFeed(Context c)
Create a new AtomFeed for a given WikiContext.

Parameters:
  `c` - A WikiContext.

## Method Details

### getString

public String getString()
Returns the XML for the feed contents in a String format. All subclasses must implement.

Specified by:
  `getString` in class `Feed`
Returns:
  valid XML, ready to be shoved out.